## flask-security 5.6.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-Security.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-Security.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-Security"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-Security"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## flask-security 1.7.5

=== debian/changelog ===
flask-security (1.7.5-2ubuntu0.20.04.1) focal-security; urgency=medium

  * SECURITY UPDATE: Possible open redirect vulnerability
    - debian/patches/CVE-2021-23385.patch: Updated
      flask_security/core.py, flask_security/utils.py and tests/test_misc.py
      to prevent possible URL validation bypass and user redirection to an
      arbitrary URL by providing multiple back slashes such as
      \\\evil.com/path.
    - CVE-2021-23385

 -- Chrisa Oikonomou <chrisa.oikonomou@canonical.com>  Tue, 21 May 2024 17:10:54 +0300

flask-security (1.7.5-2) unstable; urgency=medium

  * Team upload.
  * Put debian/* under MIT.
  * Disable mongodb build dependencies, needed for tests not yet executed.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 24 Jan 2018 11:38:20 +0100

flask-security (1.7.5-1) unstable; urgency=low

  * Team upload.

  [ Adrian Vondendriesch ]
  * Initial package version.

  [ Christoph Berg ]
  * Package intentionally not updated to version 3.0.0 yet as the new
    flask-babelex dependency is still under discussion.
    https://github.com/mattupstate/flask-security/issues/715
  * Remove .DS_Store files.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 02 Jan 2018 14:06:47 +0100

=== debian/control ===
Source: flask-security
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
#               mongodb,
               python-setuptools (>= 0.6b3),
               python3-all,
               python3-babel,
               python3-bcrypt,
               python3-flask-login,
               python3-flask-mail,
#               python3-flask-mongoengine,
               python3-flask-peewee,
               python3-flask-principal,
               python3-flask-sqlalchemy,
               python3-flaskext.wtf,
               python3-passlib,
               python3-peewee,
               python3-pymongo,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-pep8,
               python3-pytest-runner,
               python3-setuptools,
               tox,
Standards-Version: 4.1.3
Homepage: https://github.com/mattupstate/flask-security

Package: python3-flask-security
Architecture: all
Depends: python3-flask,
         python3-flask-login,
         python3-flask-mail,
         python3-flask-principal,
         python3-flaskext.wtf,
         python3-itsdangerous,
         python3-passlib,
         ${misc:Depends},
         ${python3:Depends}
Description: Simple security for Flask apps (Python 3)
 Flask-Security allows you to quickly add common security mechanisms
 to your Flask application. They include:
 .
   * Session based authentication
   * Role management
   * Password encryption
   * Basic HTTP authentication
   * Token based authentication
   * Token based account activation (optional)
   * Token based password recovery / resetting (optional)
   * User registration (optional)
   * Login tracking (optional)
   * JSON/Ajax Support
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-security
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Skip for now

override_dh_auto_install:
	dh_auto_install
	find debian/python3-flask-security -name .DS_Store -delete

## flask-security 3.4.2

=== debian/changelog ===
flask-security (3.4.2-2) unstable; urgency=medium

  * Team upload.
  * Remove Depends on python-setuptools (Closes: #943002)

 -- Scott Talbert <swt@techie.net>  Mon, 06 Jul 2020 14:05:29 -0400

flask-security (3.4.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Add Vcs-* field
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat.

  [ Christoph Berg ]
  * Switch upstream to Flask-Security-Too.
  * New ustream version 3.4.2.
  * Use DH 13.
  * Add debian/gitlab-ci.yml.
  * Add twine and wheel to Build-Depends, setup.py wants them.
  * Add python3-flask-babelex to Build-Depends.
  * Add python3-speaklater to Depends.
  * Ignore changes in egg-info files when building source package.
  * Remove Flask version annotation so we can be installed on stretch and
    xenial/bionic.

 -- Christoph Berg <myon@debian.org>  Tue, 12 May 2020 18:57:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: flask-security
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
 #               mongodb,
-               python-setuptools (>= 0.6b3),
                python3-all,
                python3-babel,
                python3-bcrypt,
+               python3-flask-babelex,
                python3-flask-login,
                python3-flask-mail,
 #               python3-flask-mongoengine,
@@ -26,9 +25,13 @@
                python3-pytest-pep8,
                python3-pytest-runner,
                python3-setuptools,
+               python3-wheel,
                tox,
-Standards-Version: 4.1.3
+               twine,
+Standards-Version: 4.5.0
 Homepage: https://github.com/mattupstate/flask-security
+Vcs-Git: https://salsa.debian.org/python-team/modules/flask-security.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-security
 
 Package: python3-flask-security
 Architecture: all
@@ -39,6 +42,7 @@
          python3-flaskext.wtf,
          python3-itsdangerous,
          python3-passlib,
+         python3-speaklater,
          ${misc:Depends},
          ${python3:Depends}
 Description: Simple security for Flask apps (Python 3)

## flask-security 4.0.0

=== debian/changelog ===
flask-security (4.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Christoph Berg ]
  * New upstream version 4.0.0.
    + Fixes /login and /change vulnerability. (Closes: 980189, CVE-2021-21241)

 -- Christoph Berg <myon@debian.org>  Mon, 01 Feb 2021 15:42:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: flask-security
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Section: python
 Priority: optional
@@ -30,8 +30,8 @@
                twine,
 Standards-Version: 4.5.0
 Homepage: https://github.com/mattupstate/flask-security
-Vcs-Git: https://salsa.debian.org/python-team/modules/flask-security.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-security
+Vcs-Git: https://salsa.debian.org/python-team/packages/flask-security.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-security
 
 Package: python3-flask-security
 Architecture: all

=== debian/watch ===
# please also check https://pypi.debian.net/Flask-Security-Too/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Flask-Security-Too/Flask-Security-Too-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flask-security 5.1.0

=== debian/changelog ===
flask-security (5.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.1.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Feb 2023 15:21:24 +0100

flask-security (5.0.2-2) unstable; urgency=medium

  * Team upload.
  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 15 Jan 2023 11:26:56 +0100

flask-security (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Add more defaults
  * New upstream version 5.0.2
    (Closes: #1025437)
  * Adding a patch queue
    Added patch:
    docs-Use-local-Python-intersphinx-inventary.patch
  * d/watch: d/watch: Move to git mode on GitHub
  * d/control: Running wrap and sort -ast
    No modifications, just reordering the content.
  * d/control: Update Homepage field to new resource
  * d/control: Update build deps, add BuildProfileSpecs
  * python-flask-security-doc: Adding new binary package
  * d/control: Bump Standards-Versions to 4.6.2
    No further modifications needed.
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update content data
  * d/u/metadata: Adding field Documentation
  * d/control: Remove all manual added install deps
    Let the install depends for python3-flask-security added dynamically by
    dh-python.
  * Salsa CI: Rename to salsa-ci.yml, disable any build
  * python3-flask-security: Also install the examples

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Jan 2023 17:05:20 +0100

## flask-security 5.1.2

=== debian/changelog ===
flask-security (5.1.2-1) unstable; urgency=medium

  * Team upload.
  * [3e7d021] New upstream version 5.1.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Mar 2023 07:06:11 +0100

flask-security (5.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.1.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Mar 2023 13:43:26 +0100

=== debian/control ===
Source: flask-security
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 flask-sqlalchemy-doc <!nodoc>,
# mongodb <!nocheck>,
 python-flask-doc <!nodoc>,
 python-flask-login-doc <!nodoc>,
 python-flaskext.wtf-doc <!nodoc>,
 python-itsdangerous-doc <!nodoc>,
 python-sqlalchemy-doc <!nodoc>,
 python-werkzeug-doc <!nodoc>,
 python-wtforms-doc <!nodoc>,
 python3-all,
# python3-babel <!nocheck>,
# python3-bcrypt <!nocheck>,
 python3-blinker <!nodoc>,
 python3-doc <!nodoc>,
 python3-email-validator <!nodoc>,
 python3-flask <!nodoc>,
# python3-flask-babelex <!nocheck>,
 python3-flask-login <!nocheck !nodoc>,
# python3-flask-mail <!nocheck>,
# python3-flask-mongoengine <!nocheck>,
# python3-flask-peewee <!nocheck>,
 python3-flask-principal <!nocheck !nodoc>,
# python3-flask-sqlalchemy <!nocheck>,
 python3-flaskext.wtf <!nocheck !nodoc>,
 python3-pallets-sphinx-themes <!nodoc>,
 python3-passlib <!nocheck !nodoc>,
# python3-peewee <!nocheck>,
# python3-pymongo <!nocheck>,
# python3-pytest <!nocheck>,
# python3-pytest-cov <!nocheck>,
# python3-pytest-pep8 <!nocheck>,
# python3-pytest-runner <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-issues <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/Flask-Middleware/flask-security
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-security.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-security

Package: python-flask-security-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Simple security for Flask apps (Documentation)
 Flask-Security allows you to quickly add common security mechanisms
 to your Flask application. They include:
 .
   * Session based authentication
   * Role management
   * Password encryption
   * Basic HTTP authentication
   * Token based authentication
   * Token based account activation (optional)
   * Token based password recovery / resetting (optional)
   * User registration (optional)
   * Login tracking (optional)
   * JSON/Ajax Support
 .
 This package contains the documentation.

Package: python3-flask-security
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-flask-security-doc,
 ${python3:Suggests},
Description: Simple security for Flask apps (Python 3)
 Flask-Security allows you to quickly add common security mechanisms
 to your Flask application. They include:
 .
   * Session based authentication
   * Role management
   * Password encryption
   * Basic HTTP authentication
   * Token based authentication
   * Token based account activation (optional)
   * Token based password recovery / resetting (optional)
   * User registration (optional)
   * Login tracking (optional)
   * JSON/Ajax Support
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=flask-security

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# Skip for now

override_dh_auto_install:
	dh_auto_install
	find debian/python3-flask-security -name .DS_Store -delete

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-flask-security-doc/usr/share/doc/python-flask-security-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|a|b|c|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/Flask-Middleware/flask-security.git \
      refs/tags/@ANY_VERSION@

## flask-security 5.4.1

=== debian/changelog ===
flask-security (5.4.1-1) unstable; urgency=medium

  * Team upload.
  * [b9db050] New upstream version 5.4.1
  * [5955b22] Rebuild patch queue from patch-queue branch
    Refresh existing patches.
  * [f39bb1d] d/control: Add new needed build dependency
    python-authlib-doc is now needed to build the -doc package.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 01 Mar 2024 21:01:41 +0100

flask-security (5.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 10 Feb 2024 19:52:54 +0100

flask-security (5.3.2-1) unstable; urgency=medium

  * Team upload.
  * [d6ff0f2] New upstream version 5.3.2
  * [3aa38ef] Rebuild patch queue from patch-queue branch
    Added patch:
    d-conf.py-Add-a-trailing-whitespace-to-copyright-fields.patch
  * [ed68714] d/control: Add new needed packages to Build-Depends
  * [e023870] d/rules: Tweak dh_sphinxdoc call

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 10 Dec 2023 10:28:08 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
  dh-sequence-sphinxdoc,
  flask-sqlalchemy-doc <!nodoc>,
 # mongodb <!nocheck>,
+ pybuild-plugin-pyproject,
+ python-authlib-doc <!nodoc>,
  python-flask-doc <!nodoc>,
  python-flask-login-doc <!nodoc>,
  python-flaskext.wtf-doc <!nodoc>,
@@ -32,6 +34,7 @@
  python3-flask-principal <!nocheck !nodoc>,
 # python3-flask-sqlalchemy <!nocheck>,
  python3-flaskext.wtf <!nocheck !nodoc>,
+ python3-importlib-resources <!nodoc>,
  python3-pallets-sphinx-themes <!nodoc>,
  python3-passlib <!nocheck !nodoc>,
 # python3-peewee <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-flask-security-doc/usr/share/doc/python-flask-security-doc/html
+	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "Flask*dist-info" | head -n1)` \
+	    python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-flask-security-doc/usr/share/doc/python-flask-security-doc/html
 	dh_sphinxdoc
 endif

## flask-security 5.4.3

=== debian/changelog ===
flask-security (5.4.3-1) unstable; urgency=medium

  * Team upload.
  * [bc12bfe] New upstream version 5.4.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 27 Mar 2024 19:38:08 +0100

flask-security (5.4.2-1) unstable; urgency=medium

  * Team upload.
  * [46ec346] New upstream version 5.4.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 10 Mar 2024 08:25:35 +0100

## flask-security 5.5.0

=== debian/changelog ===
flask-security (5.5.0-1) unstable; urgency=medium

  * Team upload.
  * [31a96f5] New upstream version 5.5.0
  * [3312cc5] Rebuild patch queue from patch-queue branch
    Updated patch:
    docs-Use-local-Python-intersphinx-inventary.patch
  * [149b03c] d/control: Add python3-sqlalchemy to Build-Depends

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 26 Jul 2024 20:15:00 +0900

=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-issues <!nodoc>,
+ python3-sqlalchemy <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/Flask-Middleware/flask-security

## flask-security 5.5.2

=== debian/changelog ===
flask-security (5.5.2-1) unstable; urgency=medium

  * Team upload.
  * [ee5c819] d/watch: Use https://github.com/pallets-eco/flask-security
    The home of the upstream project is now within the Pallets umbrella.
  * [b956a90] New upstream version 5.5.2
  * [42987e1] d/copyright: Update year and upstream data
  * [edbdc3c] d/control: Update upstream homepage data
  * [5f83b0c] d/control: Bump Standards-Versions to 4.7.0
    No further modifications needed.
  * [4d8af26] d/u/metadata: Update upstream URLS after switch
  * [aaae4d0] d/control: Upstream did switch to flit as build backend
  * [491f0c3] d/rules: Looking now for flask*dist-info for -doc build
  * [f040aca] d/README.source: Add some information about the source

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 24 Sep 2024 20:16:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "Flask*dist-info" | head -n1)` \
+	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "flask*dist-info" | head -n1)` \
 	    python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-flask-security-doc/usr/share/doc/python-flask-security-doc/html
 	dh_sphinxdoc
 endif

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|a|b|c|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/pallets-eco/flask-security.git \
      refs/tags/@ANY_VERSION@

## flask-security 5.6.0

=== debian/changelog ===
flask-security (5.6.0-1) unstable; urgency=medium

  * Team upload.
  * [ff4db49] d/watch: Ignore 'Too' suffix in versions
  * [2268362] New upstream version 5.6.0
  * [879e3cb] Rebuild patch queue from patch-queue branch
    Updated patch:
    d-conf.py-Add-a-trailing-whitespace-to-copyright-fields.patch
  * [aa75a09] d/copyright: Update year and upstream data
  * [ca7d6b0] d/rules: Drop -D option from SPHINXOPTS

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 15 Feb 2025 20:59:01 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  flask-sqlalchemy-doc <!nodoc>,
+ flit,
 # mongodb <!nocheck>,
  pybuild-plugin-pyproject,
  python-authlib-doc <!nodoc>,
@@ -43,13 +44,12 @@
 # python3-pytest-cov <!nocheck>,
 # python3-pytest-pep8 <!nocheck>,
 # python3-pytest-runner <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-issues <!nodoc>,
  python3-sqlalchemy <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Homepage: https://github.com/Flask-Middleware/flask-security
+Standards-Version: 4.7.0
+Homepage: https://github.com/pallets-eco/flask-security
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-security.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-security

## flask-security 5.6.1

=== debian/changelog ===
flask-security (5.6.1-2) unstable; urgency=medium

  * Team upload.
  * Patch-out dependency on python3-importlib-resources

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 May 2025 02:18:03 +0200

flask-security (5.6.1-1) unstable; urgency=medium

  * Team upload.
  * [518ce20] New upstream version 5.6.1
  * [3814ce0] d/control: Bump Standards-Versions to 4.7.2
    No further modifications needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Mar 2025 11:48:13 +0200

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,6 @@
  python3-flask-principal <!nocheck !nodoc>,
 # python3-flask-sqlalchemy <!nocheck>,
  python3-flaskext.wtf <!nocheck !nodoc>,
- python3-importlib-resources <!nodoc>,
  python3-pallets-sphinx-themes <!nodoc>,
  python3-passlib <!nocheck !nodoc>,
 # python3-peewee <!nocheck>,
@@ -48,7 +47,7 @@
  python3-sphinx-issues <!nodoc>,
  python3-sqlalchemy <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/pallets-eco/flask-security
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-security.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-security

## flask-security 5.6.2

=== debian/changelog ===
flask-security (5.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Sep 2025 17:54:01 +0100

=== debian/control ===
--- 
+++ 
@@ -80,6 +80,7 @@
 Package: python3-flask-security
 Architecture: all
 Depends:
+ python3-passlib,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,7 @@
 
 #export DH_VERBOSE = 1
 
-include /usr/share/dpkg/pkg-info.mk
-
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 export PYBUILD_NAME=flask-security

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|a|b|c|pre|dev|beta|alpha|Too)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/pallets-eco/flask-security.git \
      refs/tags/@ANY_VERSION@

## flask-security 5.7.1

=== debian/changelog ===
flask-security (5.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Nov 2025 16:26:00 +0000

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,6 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-issues <!nodoc>,
  python3-sqlalchemy <!nodoc>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/pallets-eco/flask-security
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-security.git
